Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	Interfaces for accessibility support
Name:		atk
Version:	1.32.0
Release:	1
BuildArch:	i686
License:	GNU/GPL
URL:		ftp://ftp.gtk.org/pub/gtk/v2.8/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

BuildRequires:	gettext
BuildRequires:	perl-XML-Parser

BuildRequires: gobject-introspection-devel
BuildRequires: libffi-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: glib-devel

%description
The ATK library provides a set of interfaces for adding accessibility
support to applications and graphical user interface toolkits. By
supporting the ATK interfaces, an application or toolkit can be used
with tools such as screen readers, magnifiers, and alternative input
devices.

%package	devel
Summary:	System for layout and rendering of internationalized text.
Group:		Development/Libraries
Requires:	atk = %{version}-%{release}
Requires:	glib-devel
Requires:	pkg-config

%description	devel
The atk-devel package includes the static libraries, header files, and
developer docs for the atk package.

Install atk-devel if you want to develop programs which will use ATK.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q

%build
%configure \
--disable-gtk-doc
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang atk10

%files -f atk10.lang
%defattr(-, root, root)
%doc README AUTHORS COPYING ChangeLog
%{_libdir}/libatk-1.0.so.*
%{_locale}/*/LC_MESSAGES/atk10.mo

%files devel
%defattr(-, root, root)
%{_libdir}/girepository-1.0/Atk-1.0.typelib
%{_datadir}/gir-1.0/Atk-1.0.gir
%{_includedir}/atk-1.0
%{_libdir}/libatk-1.0.la
%{_libdir}/libatk-1.0.so
%{_pkgconfig}/atk.pc
%{_datadir}/gtk-doc/html/atk

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.32.0-1
- Version update
* Sun Aug 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.30.0-1
- Version update
* Tue Mar 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.29.92-1
- Version update
* Fri Feb 05 2010 Christian Metzen <metzench@ccux-linux.de> 1.29.4-1
- Version update
* Sat Nov 21 2009 Christian Metzen <metzench@ccux-linux.de> 1.28.0-1
- Version update
* Mon Mar 23 2009 Christian Wasem <wasem@ccux-linux.de> 1.26.0-1
- Version Update
* Fri Jan 09 2009 Christian Wasem <wasem@ccux-linux.de> 1.25.2-1
- Version Update
* Sat Oct 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.24.0-1
- Version Update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 1.22.0-1
- Version update
* Sat Jan 05 2008 Christian Metzen <metzench@ccux-linux.de> 1.20.0-2
- rebuild against glib 2.15.0
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 1.20.0-1
- Version update
* Sat Mar 17 2007 Christian Metzen <metzench@ccux-linux.de> 1.18.0-2
- clean buildchain
* Fri Mar 16 2007 Christian Metzen <metzench@ccux-linux.de> 1.18.0-1
- Version update
* Wed Nov 08 2006 Christian Metzen <metzench@ccux-linux.de> 1.12.3-2
- Version update, clean rebuild
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 1.12.3-1
- Version update
* Wed Aug 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.12.2-1
- Version Update
* Sat Jul 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.11.4-1
- Version Update
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.11.3-1
- Version Update
* Mon Jan 30 2006 Christian Wasem <wasem@ccux-linux.de> 1.11.0-1
- Version update
* Sun Sep 25 2005 Christian Metzen <metzench@ccux-linux.de> 1.10.3-1
- Version update
* Tue Aug 30 2005 Christian Metzen <metzench@ccux-linux.de> 1.10.1-2
- Moved some files, fixed url and requires
* Tue Aug 30 2005 Christian Wasem <wasem@ccux-linux.de> 1.10.1-1
- Update to Version 1.10.1, added more files to devel
* Mon Jan 10 2005 Christian Metzen <metzench@ccux-linux.de> 1.9.0-2
- Added glib 2.6.1 Dependencies
* Wed Jan 05 2005 Christian Metzen <metzench@ccux-linux.de> 1.9.0-1
- Update to Version 1.9.0
